#pragma once

#include <string>

namespace posts {
  enum PostSource {
    SRC_VK, SRC_TELEGRAM
  };

  struct AbstractPost {
    inline AbstractPost(PostSource src, long id, long date, std::string text) : source(src), id(id), date(date), text(text) {}
    long id;
    long date;
    std::string text;
    PostSource source;
  };
}